Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei-param.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei-param.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei-param.xsl	(revision 2397)
@@ -347,242 +407,269 @@
 \mathcode`\_=\string"8000
 \catcode`\_=12\relax
 </xsl:text>
-   </xsl:template>
+	</xsl:template>
 
-   <xsl:template name="exampleFontSet">
-      <xsl:choose>
-         <xsl:when test="$reencode='true'">
-            <xsl:text>\ttfamily\small\selectfont </xsl:text>
-         </xsl:when>
-         <xsl:when test="../@xml:lang='zh-TW' or       @xml:lang='zh-TW'">
-            <xsl:text>\fontspec{Arial Unicode MS}\small\selectfont </xsl:text>
-         </xsl:when>
-         <xsl:when test="../@xml:lang='ja' or       @xml:lang='ja'">
-            <xsl:text>\fontspec{Arial Unicode MS}\small\selectfont </xsl:text>
-         </xsl:when>
-         <xsl:otherwise>
-            <xsl:text>\ttfamily\small\selectfont </xsl:text>
-         </xsl:otherwise>
-      </xsl:choose>
-   </xsl:template>
+	<xsl:template name="exampleFontSet">
+		<xsl:choose>
+			<xsl:when test="$reencode='true'">
+				<xsl:text>\ttfamily\small\selectfont </xsl:text>
+			</xsl:when>
+			<xsl:when
+				test="../@xml:lang='zh-TW' or       @xml:lang='zh-TW'">
+				<xsl:text>\fontspec{Arial Unicode MS}\small\selectfont </xsl:text>
+			</xsl:when>
+			<xsl:when test="../@xml:lang='ja' or       @xml:lang='ja'">
+				<xsl:text>\fontspec{Arial Unicode MS}\small\selectfont </xsl:text>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>\ttfamily\small\selectfont </xsl:text>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-      <desc>
-         <p>LaTeX babel setup</p>
-         <p>LaTeX loading of babel with options</p>
-      </desc>
-   </doc>
-   <xsl:template name="latexBabel">
-\usepackage[english]{babel}
-</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX babel setup</p>
+			<p>LaTeX loading of babel with options</p>
+		</desc>
+	</doc>
+	<xsl:template name="latexBabel">
+		\usepackage[english]{babel}
+	</xsl:template>
 
 
 
-<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-  <desc>
-    <p>LaTeX paper size</p>
-  </desc>
-</doc>
-<xsl:param name="latexPaperSize">a4paper</xsl:param>
-     
-<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style" type="string"><desc>Font for literal code</desc>   </doc>
-<xsl:param name="typewriterFont">DejaVu Sans Mono</xsl:param>
-<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style" type="string"><desc>Font for sans-serif</desc>   </doc>
-<xsl:param name="sansFont"></xsl:param>
-<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style" type="string"><desc>Font for serif</desc>   </doc>
-<xsl:param name="romanFont"></xsl:param>
-<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style" type="string"><desc>Font for gothic</desc>   </doc>
-<xsl:param name="gothicFont">Lucida Blackletter</xsl:param>
-<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style" type="string"><desc>Font for calligraphic</desc>   </doc>
-<xsl:param name="calligraphicFont">Lucida Calligraphy</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX paper size</p>
+		</desc>
+	</doc>
+	<xsl:param name="latexPaperSize">
+		a4paper
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-      <desc>
-         <p>LaTeX layout preamble</p>
-         <p>All the LaTeX setup which affects page layout</p>
-      </desc>
-   </doc>
-   <xsl:template name="latexLayout">
-     <xsl:choose>
-       <xsl:when test="$latexPaperSize='a3paper'">
-	 \paperwidth297mm
-	 \paperheight420mm
-       </xsl:when>
-       <xsl:when test="$latexPaperSize='a5paper'">	
-	 \paperwidth148mm
-	 \paperheight210mm
-       </xsl:when>
-       <xsl:when test="$latexPaperSize='a4paper'">
-	 \paperwidth210mm
-	 \paperheight297mm
-       </xsl:when>
-       <xsl:when test="$latexPaperSize='letterpaper'">
-	 \paperwidth216mm
-	 \paperheight279mm
-       </xsl:when>
-	 <xsl:otherwise>
-	 </xsl:otherwise>
-       </xsl:choose>       
-\def\@pnumwidth{1.55em}
-\def\@tocrmarg {2.55em}
-\def\@dotsep{4.5}
-\setcounter{tocdepth}{3}
-\clubpenalty=8000
-\emergencystretch 3em
-\hbadness=4000
-\hyphenpenalty=400
-\pretolerance=750
-\tolerance=2000
-\vbadness=4000
-\widowpenalty=10000
-<xsl:if test="not($docClass='letter')">
-\renewcommand\section{\@startsection {section}{1}{\z@}%
-     {-1.75ex \@plus -0.5ex \@minus -.2ex}%
-     {0.5ex \@plus .2ex}%
-     {\reset@font\Large\bfseries\sffamily}}
-\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
-     {-1.75ex\@plus -0.5ex \@minus- .2ex}%
-     {0.5ex \@plus .2ex}%
-     {\reset@font\Large\sffamily}}
-\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
-     {-1.5ex\@plus -0.35ex \@minus -.2ex}%
-     {0.5ex \@plus .2ex}%
-     {\reset@font\large\sffamily}}
-\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
-     {-1ex \@plus-0.35ex \@minus -0.2ex}%
-     {0.5ex \@plus .2ex}%
-     {\reset@font\normalsize\sffamily}}
-\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
-     {1.5ex \@plus1ex \@minus .2ex}%
-     {-1em}%
-     {\reset@font\normalsize\bfseries}}
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style"
+		type="string">
+		<desc>Font for literal code</desc>
+	</doc>
+	<xsl:param name="typewriterFont">
+		DejaVu Sans Mono
+	</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style"
+		type="string">
+		<desc>Font for sans-serif</desc>
+	</doc>
+	<xsl:param name="sansFont"></xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style"
+		type="string">
+		<desc>Font for serif</desc>
+	</doc>
+	<xsl:param name="romanFont"></xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style"
+		type="string">
+		<desc>Font for gothic</desc>
+	</doc>
+	<xsl:param name="gothicFont">
+		Lucida Blackletter
+	</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="style"
+		type="string">
+		<desc>Font for calligraphic</desc>
+	</doc>
+	<xsl:param name="calligraphicFont">
+		Lucida Calligraphy
+	</xsl:param>
 
-</xsl:if>
-\def\l@section#1#2{\addpenalty{\@secpenalty} \addvspace{1.0em plus 1pt}
- \@tempdima 1.5em \begingroup
- \parindent \z@ \rightskip \@pnumwidth 
- \parfillskip -\@pnumwidth 
- \bfseries \leavevmode #1\hfil \hbox to\@pnumwidth{\hss #2}\par
- \endgroup}
-\def\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
-\def\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
-\def\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
-\def\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
-\@ifundefined{c@section}{\newcounter{section}}{}
-\@ifundefined{c@chapter}{\newcounter{chapter}}{}
-\newif\if@mainmatter 
-\@mainmattertrue
-\def\chaptername{Chapter}
-\def\frontmatter{%
-  \pagenumbering{roman}
-  \def\thechapter{\@roman\c@chapter}
-  \def\theHchapter{\alph{chapter}}
-  \def\@chapapp{}%
-}
-\def\mainmatter{%
-  \cleardoublepage
-  \def\thechapter{\@arabic\c@chapter}
-  \setcounter{chapter}{0}
-  \setcounter{section}{0}
-  \pagenumbering{arabic}
-  \setcounter{secnumdepth}{6}
-  \def\@chapapp{\chaptername}%
-  \def\theHchapter{\arabic{chapter}}
-}
-\def\backmatter{%
-  \cleardoublepage
-  \setcounter{chapter}{0}
-  \setcounter{section}{0}
-  \setcounter{secnumdepth}{0}
-  \def\@chapapp{\appendixname}%
-  \def\thechapter{\@Alph\c@chapter}
-  \def\theHchapter{\Alph{chapter}}
-  \appendix
-}
-\newenvironment{bibitemlist}[1]{%
-   \list{\@biblabel{\@arabic\c@enumiv}}%
-       {\settowidth\labelwidth{\@biblabel{#1}}%
-        \leftmargin\labelwidth
-        \advance\leftmargin\labelsep
-        \@openbib@code
-        \usecounter{enumiv}%
-        \let\p@enumiv\@empty
-        \renewcommand\theenumiv{\@arabic\c@enumiv}%
-	}%
-  \sloppy
-  \clubpenalty4000
-  \@clubpenalty \clubpenalty
-  \widowpenalty4000%
-  \sfcode`\.\@m}%
-  {\def\@noitemerr
-    {\@latex@warning{Empty `bibitemlist' environment}}%
-    \endlist}
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX layout preamble</p>
+			<p>All the LaTeX setup which affects page layout</p>
+		</desc>
+	</doc>
+	<xsl:template name="latexLayout">
+		<xsl:choose>
+			<xsl:when test="$latexPaperSize='a3paper'">
+				\paperwidth297mm
+				\paperheight420mm
+			</xsl:when>
+			<xsl:when test="$latexPaperSize='a5paper'">
+				\paperwidth148mm
+				\paperheight210mm
+			</xsl:when>
+			<xsl:when test="$latexPaperSize='a4paper'">
+				\paperwidth210mm
+				\paperheight297mm
+			</xsl:when>
+			<xsl:when test="$latexPaperSize='letterpaper'">
+				\paperwidth216mm
+				\paperheight279mm
+			</xsl:when>
+			<xsl:otherwise>
+			</xsl:otherwise>
+		</xsl:choose>
+		\def\@pnumwidth{1.55em}
+		\def\@tocrmarg {2.55em}
+		\def\@dotsep{4.5}
+		\setcounter{tocdepth}{3}
+		\clubpenalty=8000
+		\emergencystretch 3em
+		\hbadness=4000
+		\hyphenpenalty=400
+		\pretolerance=750
+		\tolerance=2000
+		\vbadness=4000
+		\widowpenalty=10000
+		<xsl:if test="not($docClass='letter')">
+			\renewcommand\section{\@startsection {section}{1}{\z@}%
+			{-1.75ex \@plus -0.5ex \@minus -.2ex}%
+			{0.5ex \@plus .2ex}%
+			{\reset@font\Large\bfseries\sffamily}}
+			\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
+			{-1.75ex\@plus -0.5ex \@minus- .2ex}%
+			{0.5ex \@plus .2ex}%
+			{\reset@font\Large\sffamily}}
+			\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
+			{-1.5ex\@plus -0.35ex \@minus -.2ex}%
+			{0.5ex \@plus .2ex}%
+			{\reset@font\large\sffamily}}
+			\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
+			{-1ex \@plus-0.35ex \@minus -0.2ex}%
+			{0.5ex \@plus .2ex}%
+			{\reset@font\normalsize\sffamily}}
+			\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
+			{1.5ex \@plus1ex \@minus .2ex}%
+			{-1em}%
+			{\reset@font\normalsize\bfseries}}
 
-\def\tableofcontents{\section*{\contentsname}\@starttoc{toc}}
-\parskip<xsl:value-of select="$parSkip"/>
-\parindent<xsl:value-of select="$parIndent"/>
-\def\Panel#1#2#3#4{\multicolumn{#3}{){\columncolor{#2}}#4}{#1}}
-\newenvironment{reflist}{%
-  \begin{raggedright}\begin{list}{}
-  {%
-   \setlength{\topsep}{0pt}%
-   \setlength{\rightmargin}{0.25in}%
-   \setlength{\itemsep}{0pt}%
-   \setlength{\itemindent}{0pt}%
-   \setlength{\parskip}{0pt}%
-   \setlength{\parsep}{2pt}%
-   \def\makelabel##1{\itshape ##1}}%
-  }
-  {\end{list}\end{raggedright}}
-\newenvironment{sansreflist}{%
-  \begin{raggedright}\begin{list}{}
-  {%
-   \setlength{\topsep}{0pt}%
-   \setlength{\rightmargin}{0.25in}%
-   \setlength{\itemindent}{0pt}%
-   \setlength{\parskip}{0pt}%
-   \setlength{\itemsep}{0pt}%
-   \setlength{\parsep}{2pt}%
-   \def\makelabel##1{\upshape\sffamily ##1}}%
-  }
-  {\end{list}\end{raggedright}}
-\newenvironment{specHead}[2]%
- {\vspace{20pt}\hrule\vspace{10pt}%
-  \hypertarget{#1}{}%
-  \markright{#2}%
-<xsl:text>
+		</xsl:if>
+		\def\l@section#1#2{\addpenalty{\@secpenalty} \addvspace{1.0em plus
+		1pt}
+		\@tempdima 1.5em \begingroup
+		\parindent \z@ \rightskip \@pnumwidth
+		\parfillskip -\@pnumwidth
+		\bfseries \leavevmode #1\hfil \hbox to\@pnumwidth{\hss #2}\par
+		\endgroup}
+		\def\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
+		\def\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
+		\def\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
+		\def\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
+		\@ifundefined{c@section}{\newcounter{section}}{}
+		\@ifundefined{c@chapter}{\newcounter{chapter}}{}
+		\newif\if@mainmatter
+		\@mainmattertrue
+		\def\chaptername{Chapter}
+		\def\frontmatter{%
+		\pagenumbering{roman}
+		\def\thechapter{\@roman\c@chapter}
+		\def\theHchapter{\alph{chapter}}
+		\def\@chapapp{}%
+		}
+		\def\mainmatter{%
+		\cleardoublepage
+		\def\thechapter{\@arabic\c@chapter}
+		\setcounter{chapter}{0}
+		\setcounter{section}{0}
+		\pagenumbering{arabic}
+		\setcounter{secnumdepth}{6}
+		\def\@chapapp{\chaptername}%
+		\def\theHchapter{\arabic{chapter}}
+		}
+		\def\backmatter{%
+		\cleardoublepage
+		\setcounter{chapter}{0}
+		\setcounter{section}{0}
+		\setcounter{secnumdepth}{0}
+		\def\@chapapp{\appendixname}%
+		\def\thechapter{\@Alph\c@chapter}
+		\def\theHchapter{\Alph{chapter}}
+		\appendix
+		}
+		\newenvironment{bibitemlist}[1]{%
+		\list{\@biblabel{\@arabic\c@enumiv}}%
+		{\settowidth\labelwidth{\@biblabel{#1}}%
+		\leftmargin\labelwidth
+		\advance\leftmargin\labelsep
+		\@openbib@code
+		\usecounter{enumiv}%
+		\let\p@enumiv\@empty
+		\renewcommand\theenumiv{\@arabic\c@enumiv}%
+		}%
+		\sloppy
+		\clubpenalty4000
+		\@clubpenalty \clubpenalty
+		\widowpenalty4000%
+		\sfcode`\.\@m}%
+		{\def\@noitemerr
+		{\@latex@warning{Empty `bibitemlist' environment}}%
+		\endlist}
+
+		\def\tableofcontents{\section*{\contentsname}\@starttoc{toc}}
+		\parskip
+		<xsl:value-of select="$parSkip" />
+		\parindent
+		<xsl:value-of select="$parIndent" />
+		\def\Panel#1#2#3#4{\multicolumn{#3}{){\columncolor{#2}}#4}{#1}}
+		\newenvironment{reflist}{%
+		\begin{raggedright}\begin{list}{}
+		{%
+		\setlength{\topsep}{0pt}%
+		\setlength{\rightmargin}{0.25in}%
+		\setlength{\itemsep}{0pt}%
+		\setlength{\itemindent}{0pt}%
+		\setlength{\parskip}{0pt}%
+		\setlength{\parsep}{2pt}%
+		\def\makelabel##1{\itshape ##1}}%
+		}
+		{\end{list}\end{raggedright}}
+		\newenvironment{sansreflist}{%
+		\begin{raggedright}\begin{list}{}
+		{%
+		\setlength{\topsep}{0pt}%
+		\setlength{\rightmargin}{0.25in}%
+		\setlength{\itemindent}{0pt}%
+		\setlength{\parskip}{0pt}%
+		\setlength{\itemsep}{0pt}%
+		\setlength{\parsep}{2pt}%
+		\def\makelabel##1{\upshape\sffamily ##1}}%
+		}
+		{\end{list}\end{raggedright}}
+		\newenvironment{specHead}[2]%
+		{\vspace{20pt}\hrule\vspace{10pt}%
+		\hypertarget{#1}{}%
+		\markright{#2}%
+		<xsl:text>
   \pdfbookmark[</xsl:text>
-      <xsl:value-of select="$specLinkDepth"/>
-      <xsl:text>]{#2}{#1}%
+		<xsl:value-of select="$specLinkDepth" />
+		<xsl:text>]{#2}{#1}%
   \hspace{-0.75in}{\bfseries\fontsize{16pt}{18pt}\selectfont#2}%
   }{}
-      </xsl:text>   
-      <xsl:call-template name="latexPreambleHook"/>
-   </xsl:template>
+      </xsl:text>
+		<xsl:call-template name="latexPreambleHook" />
+	</xsl:template>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-      <desc>
-         <p>LaTeX setup commands for ledmac package</p>
-      </desc>
-   </doc>
-<xsl:template name="ledmacOptions">
-\renewcommand{\notenumfont}{\bfseries}
-\lineation{page}
-\linenummargin{inner}
-\footthreecol{A}
-\foottwocol{B}
-</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX setup commands for ledmac package</p>
+		</desc>
+	</doc>
+	<xsl:template name="ledmacOptions">
+		\renewcommand{\notenumfont}{\bfseries}
+		\lineation{page}
+		\linenummargin{inner}
+		\footthreecol{A}
+		\foottwocol{B}
+	</xsl:template>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-      <desc>
-         <p>LaTeX setup before start of document</p>
-         <p>All the LaTeX setup which are executed before the start of
-    the document</p>
-      </desc>
-   </doc>
-   <xsl:template name="latexBegin">
-      <xsl:text>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX setup before start of document</p>
+			<p>All the LaTeX setup which are executed before the start of
+				the document</p>
+		</desc>
+	</doc>
+	<xsl:template name="latexBegin">
+		<xsl:text>
 \makeatletter
 \thispagestyle{empty}
 \markright{\@title}\markboth{\@title}{\@author}
@@ -609,30 +696,31 @@
 \fancyfoot[RE]{\TheID}
 \hypersetup{linkbordercolor=0.75 0.75 0.75,urlbordercolor=0.75 0.75 0.75,bookmarksnumbered=true}
 \fancypagestyle{plain}{\fancyhead{}\renewcommand{\headrulewidth}{0pt}}</xsl:text>
-   </xsl:template>
+	</xsl:template>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-      <desc>
-         <p>LaTeX setup at end of document</p>
-         <p>All the LaTeX setup which are executed at the end of
-    the document</p>
-      </desc>
-   </doc>
-   <xsl:template name="latexEnd">
-</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX setup at end of document</p>
+			<p>All the LaTeX setup which are executed at the end of
+				the document</p>
+		</desc>
+	</doc>
+	<xsl:template name="latexEnd">
+	</xsl:template>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc>[latex] Title banner </desc>
-   </doc>
-   <xsl:template name="printTitleAndLogo">
-\makeatletter
-\noindent\parbox[b]{.75\textwidth}{\fontsize{14pt}{16pt}\bfseries\raggedright\sffamily\selectfont \@title}
-\vskip20pt
-\par\noindent{\fontsize{11pt}{13pt}\sffamily\itshape\raggedright\selectfont\@author\hfill\TheDate}
-\vspace{18pt}
-\makeatother
-</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>[latex] Title banner </desc>
+	</doc>
+	<xsl:template name="printTitleAndLogo">
+		\makeatletter
+		\noindent\parbox[b]{.75\textwidth}{\fontsize{14pt}{16pt}\bfseries\raggedright\sffamily\selectfont
+		\@title}
+		\vskip20pt
+		\par\noindent{\fontsize{11pt}{13pt}\sffamily\itshape\raggedright\selectfont\@author\hfill\TheDate}
+		\vspace{18pt}
+		\makeatother
+	</xsl:template>
 
-  
 
+
 </xsl:stylesheet>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei.xsl	(revision 2397)
@@ -1,172 +1,211 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:s="http://www.ascc.net/xml/schematron"
-		xmlns:xs="http://www.w3.org/2001/XMLSchema"                
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes="s xs tei"
-                version="2.0">
-  <xsl:import href="../common2/tei.xsl"/>
-  <xsl:import href="tei-param.xsl"/>
-  <xsl:import href="../common2/verbatim.xsl"/>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>
-    TEI stylesheet for making LaTeX output.
-      </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:s="http://www.ascc.net/xml/schematron"
+	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes="s xs tei" version="2.0">
+	<xsl:import href="../common2/tei.xsl" />
+	<xsl:import href="tei-param.xsl" />
+	<xsl:import href="../common2/verbatim.xsl" />
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>
+				TEI stylesheet for making LaTeX output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: tei.xsl 10197 2012-03-28 21:44:10Z rahtz $</p>
-         <p>Copyright: 2011, TEI Consortium</p>
-      </desc>
-   </doc>
-  <xsl:output method="text" encoding="utf8"/>
-  <xsl:strip-space elements="*"/>
-  <xsl:preserve-space elements="tei:hi tei:emph tei:foreign tei:p"/>
-  <xsl:include href="core.xsl"/>
-  <xsl:include href="corpus.xsl"/>
-  <xsl:include href="drama.xsl"/>
-  <xsl:include href="figures.xsl"/>
-  <xsl:include href="header.xsl"/>
-  <xsl:include href="linking.xsl"/>
-  <xsl:include href="namesdates.xsl"/>
-  <xsl:include href="tagdocs.xsl"/>
-  <xsl:include href="textstructure.xsl"/>
-  <xsl:include href="transcr.xsl"/>
-  <xsl:include href="verse.xsl"/>
-  <xsl:include href="textcrit.xsl"/>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-  <xsl:param name="startNamespace">\color{red}</xsl:param>
-  <xsl:param name="startElement">{</xsl:param>
-  <xsl:param name="highlightStartElementName">\textcolor{red}{</xsl:param>
-  <xsl:param name="highlightEndElementName">}</xsl:param>
-  <xsl:param name="startElementName">\textbf{</xsl:param>
-  <xsl:param name="startAttribute">{</xsl:param>
-  <xsl:param name="startAttributeValue">{</xsl:param>
-  <xsl:param name="startComment">\begin{it}</xsl:param>
-  <xsl:param name="endElement">}</xsl:param>
-  <xsl:param name="endElementName">}</xsl:param>
-  <xsl:param name="endComment">\end{it}</xsl:param>
-  <xsl:param name="endAttribute">}</xsl:param>
-  <xsl:param name="endAttributeValue">}</xsl:param>
-  <xsl:param name="endNamespace"/>
-  <xsl:param name="spaceCharacter">\hspace*{6pt}</xsl:param>
-  <xsl:variable name="docClass">
-      <xsl:choose>
-         <xsl:when test="/tei:TEI[@rend='letter']">
-            <xsl:text>letter</xsl:text>
-         </xsl:when>
-         <xsl:when test="/tei:TEI[@rend='book']">
-            <xsl:text>book</xsl:text>
-         </xsl:when>
-         <xsl:otherwise>
-            <xsl:text>article</xsl:text>
-         </xsl:otherwise>
-      </xsl:choose>
-  </xsl:variable>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc>Process elements  processing-instruction()[name(.)='tex']</desc>
-   </doc>
-  <xsl:template match="processing-instruction()[name(.)='tex']">
-      <xsl:value-of select="."/>
-  </xsl:template>
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: tei.xsl 10197 2012-03-28 21:44:10Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
+	<xsl:output method="text" encoding="utf8" />
+	<xsl:strip-space elements="*" />
+	<xsl:preserve-space
+		elements="tei:hi tei:emph tei:foreign tei:p" />
+	<xsl:include href="core.xsl" />
+	<xsl:include href="corpus.xsl" />
+	<xsl:include href="drama.xsl" />
+	<xsl:include href="figures.xsl" />
+	<xsl:include href="header.xsl" />
+	<xsl:include href="linking.xsl" />
+	<xsl:include href="namesdates.xsl" />
+	<xsl:include href="tagdocs.xsl" />
+	<xsl:include href="textstructure.xsl" />
+	<xsl:include href="transcr.xsl" />
+	<xsl:include href="verse.xsl" />
+	<xsl:include href="textcrit.xsl" />
 
-  <xsl:template name="verbatim-lineBreak">
-      <xsl:param name="id"/>
-      <xsl:text>\mbox{}\newline 
+	<xsl:param name="startNamespace">
+		\color{red}
+	</xsl:param>
+	<xsl:param name="startElement">
+		{
+	</xsl:param>
+	<xsl:param name="highlightStartElementName">
+		\textcolor{red}{
+	</xsl:param>
+	<xsl:param name="highlightEndElementName">
+		}
+	</xsl:param>
+	<xsl:param name="startElementName">
+		\textbf{
+	</xsl:param>
+	<xsl:param name="startAttribute">
+		{
+	</xsl:param>
+	<xsl:param name="startAttributeValue">
+		{
+	</xsl:param>
+	<xsl:param name="startComment">
+		\begin{it}
+	</xsl:param>
+	<xsl:param name="endElement">
+		}
+	</xsl:param>
+	<xsl:param name="endElementName">
+		}
+	</xsl:param>
+	<xsl:param name="endComment">
+		\end{it}
+	</xsl:param>
+	<xsl:param name="endAttribute">
+		}
+	</xsl:param>
+	<xsl:param name="endAttributeValue">
+		}
+	</xsl:param>
+	<xsl:param name="endNamespace" />
+	<xsl:param name="spaceCharacter">
+		\hspace*{6pt}
+	</xsl:param>
+	<xsl:variable name="docClass">
+		<xsl:choose>
+			<xsl:when test="/tei:TEI[@rend='letter']">
+				<xsl:text>letter</xsl:text>
+			</xsl:when>
+			<xsl:when test="/tei:TEI[@rend='book']">
+				<xsl:text>book</xsl:text>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>article</xsl:text>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:variable>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process elements processing-instruction()[name(.)='tex']</desc>
+	</doc>
+	<xsl:template
+		match="processing-instruction()[name(.)='tex']">
+		<xsl:value-of select="." />
+	</xsl:template>
+
+	<xsl:template name="verbatim-lineBreak">
+		<xsl:param name="id" />
+		<xsl:text>\mbox{}\newline 
 </xsl:text>
-  </xsl:template>
+	</xsl:template>
 
-  <xsl:template name="verbatim-createElement">
-      <xsl:param name="name"/>
-      <xsl:param name="special"/>
-      <xsl:text>\textbf{</xsl:text>
-      <xsl:value-of select="$name"/>
-      <xsl:text>}</xsl:text>
-  </xsl:template>
+	<xsl:template name="verbatim-createElement">
+		<xsl:param name="name" />
+		<xsl:param name="special" />
+		<xsl:text>\textbf{</xsl:text>
+		<xsl:value-of select="$name" />
+		<xsl:text>}</xsl:text>
+	</xsl:template>
 
-  <xsl:template name="verbatim-newLine"/>
+	<xsl:template name="verbatim-newLine" />
 
-  <xsl:template name="verbatim-createAttribute">
-      <xsl:param name="name"/>
-      <xsl:value-of select="$name"/>
-  </xsl:template>
+	<xsl:template name="verbatim-createAttribute">
+		<xsl:param name="name" />
+		<xsl:value-of select="$name" />
+	</xsl:template>
 
-  <xsl:template name="verbatim-Text">
-      <xsl:param name="words"/>
-      <xsl:choose>
-         <xsl:when test="parent::*/@xml:lang='zh-TW'">
-	           <xsl:text>{\textChinese </xsl:text>
-		   <xsl:value-of select="tei:escapeCharsVerbatim($words)"/>
-	           <xsl:text>}</xsl:text>
-         </xsl:when>
-         <xsl:when test="parent::*/@xml:lang='ja'">
-	           <xsl:text>{\textJapanese </xsl:text>
-		   <xsl:value-of select="tei:escapeCharsVerbatim($words)"/>
-	           <xsl:text>}</xsl:text>
-         </xsl:when>
-         <xsl:when test="parent::*/@xml:lang='kr'">
-	           <xsl:text>{\textKorean </xsl:text>
-		   <xsl:value-of select="tei:escapeCharsVerbatim($words)"/>
-	           <xsl:text>}</xsl:text>
-         </xsl:when>
-         <xsl:otherwise>
-	   <xsl:value-of select="tei:escapeCharsVerbatim($words)"/>
-         </xsl:otherwise>
-      </xsl:choose>
+	<xsl:template name="verbatim-Text">
+		<xsl:param name="words" />
+		<xsl:choose>
+			<xsl:when test="parent::*/@xml:lang='zh-TW'">
+				<xsl:text>{\textChinese </xsl:text>
+				<xsl:value-of select="tei:escapeCharsVerbatim($words)" />
+				<xsl:text>}</xsl:text>
+			</xsl:when>
+			<xsl:when test="parent::*/@xml:lang='ja'">
+				<xsl:text>{\textJapanese </xsl:text>
+				<xsl:value-of select="tei:escapeCharsVerbatim($words)" />
+				<xsl:text>}</xsl:text>
+			</xsl:when>
+			<xsl:when test="parent::*/@xml:lang='kr'">
+				<xsl:text>{\textKorean </xsl:text>
+				<xsl:value-of select="tei:escapeCharsVerbatim($words)" />
+				<xsl:text>}</xsl:text>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="tei:escapeCharsVerbatim($words)" />
+			</xsl:otherwise>
+		</xsl:choose>
 
-  </xsl:template>
+	</xsl:template>
 
 
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc><p>We need the backslash and two curly braces to insert LaTeX
-      commands into the output, so these characters need to replaced when they
-      are found in running text. </p></desc>
-  </doc>
-  <xsl:function name="tei:escapeCharsVerbatim" as="xs:string">
-    <xsl:param name="letters"/>
-    <xsl:value-of select="translate($letters, '\{}','⃥❴❵')"/>
-  </xsl:function>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			<p>We need the backslash and two curly braces to insert LaTeX
+				commands into the output, so these characters need to replaced when
+				they
+				are found in running text.
+			</p>
+		</desc>
+	</doc>
+	<xsl:function name="tei:escapeCharsVerbatim"
+		as="xs:string">
+		<xsl:param name="letters" />
+		<xsl:value-of select="translate($letters, '\{}','⃥❴❵')" />
+	</xsl:function>
 
-  <xsl:function name="tei:escapeChars" as="xs:string">
-    <xsl:param name="letters"/>
-      <xsl:value-of
-	  select="replace(replace(replace(replace(translate($letters,'&#10;',' '), 
+	<xsl:function name="tei:escapeChars" as="xs:string">
+		<xsl:param name="letters" />
+		<xsl:value-of
+			select="replace(replace(replace(replace(translate($letters,'&#10;',' '), 
 		  '\\','\\textbackslash '),
 		  '\{','\\{'),
 		  '\}','\\}'),
-		  '~','\\textasciitilde ')"/>
-  </xsl:function>
+		  '~','\\textasciitilde ')" />
+	</xsl:function>
 
 
 </xsl:stylesheet>
